%define module_name GD

Name: perl-%{module_name}2
Version: 2.35
Release: alt1
Epoch: 1

Summary: Perl interface to the GD graphics library
License: GPL or Artistic
Group: Development/Perl

URL: http://stein.cshl.org/WWW/software/GD/
Source: http://www.perl.com/CPAN/modules/by-module/GD/GD-%version.tar.gz

Conflicts: perl-GD1

# Automatically added by buildreq on Sat Jan 20 2007
BuildRequires: fontconfig-devel libfreetype-devel libgd2-devel libjpeg-devel libpng-devel libXpm-devel perl-devel

%description
This is a autoloadable interface module for GD, a popular library
for creating and manipulating PNG files. With this library you can
create PNG images on the fly or modify existing files.

%prep
%setup -q -n GD-%version

%build
%perl_vendor_build

%install
%perl_vendor_install
rm -f %buildroot/.perl.req

%files
%perl_vendor_archlib/GD
%perl_vendor_archlib/GD.pm
%perl_vendor_archlib/qd.pl
%perl_vendor_autolib/GD
%perl_vendor_man3dir/*
%perl_vendor_man1dir/*
%_bindir/*

%doc ChangeLog README* demos

%changelog
* Sat Jan 20 2007 Victor Forsyuk <force@altlinux.org> 1:2.35-alt1
- 2.35

* Mon May 23 2005 DH <dh@altlinux.ru> 1:2.23-alt1
- New version
- Minor changes in spec

* Sun Apr 17 2005 DH <dh@altlinux.ru> 1:2.19-alt1
- New version

* Sat Feb 19 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1:2.18-alt1.1
- Rebuilt with rpm-build-perl-0.5.1.

* Sat Nov 13 2004 DH <dh@altlinux.ru> 1:2.18-alt1
- New version

* Thu Aug 26 2004 DH <dh@altlinux.ru> 1:2.16-alt1
- New version

* Sun Dec 14 2003 DH <dh@altlinux.ru> 2.041-alt4
- Minor changes in spec

* Sun Sep 7 2003 DH <dh@dh.net.ru> 2.041-alt3
- Patch for t/GD.t (Freetype Support test excluded)

* Wed Nov 13 2002 DH <dh@dh.net.ru> 2.041-alt2
- Changes in spec (for perl-5.8.0).

* Wed Nov 6 2002 DH <dh@dh.net.ru> 2.041-alt1
- First release.
